# loki.backend.tests.test_conservative

Functions

`test_fgen_conservative_module`() |
`test_fgen_conservative_rebuild`() | Test that triggers a near complete re-build
`test_fgen_conservative_routine`() |
`test_fgen_conservative_sourcefile`(frontend) | Test outer program unit conservation via ir.Section and REGEX frontend

test_fgen_conservative_routine()

test_fgen_conservative_module()

test_fgen_conservative_sourcefile(frontend)

  Test outer program unit conservation via ir.Section and REGEX frontend

test_fgen_conservative_rebuild()

  Test that triggers a near complete re-build